local lg=love.graphics
m={}

function m.load(m)
m.select={2,2}

function m.initiateList(m)	

	local a='angel'
	local b='badger'
	local c='centaur'
	
	local d='dragon'
	local e='eel'
	
	local f='fox'
	local g='gnoll'
	local h='harpy'

	local x='starter'
	
	m.list={
	{a,	b,	c},
	{d,	x,	e},
	{f,	g,	h}
	}
end

m:initiateList()

	
function m.drawAll(m)
	local w=160 --x3=480
	local h=w
	local s=30 --x4=120

	local xadj=100
	
	for r=1,3 do
		local y=s+(r-1)*(s+h)
		for c=1,3 do
			local x=xadj+s+(c-1)*(s+w)
			
			if m.select[1]==r and m.select[2]==c then
			--if r==1 and c==1 then 
				lg.setColor(200,200,200)
				lg.rectangle('fill',x,y,w,h)			
				lg.setColor(0,0,0)
				lg.rectangle('fill',x+w/20,y+h/20,w-w/10,h-h/10)
			end
			
			lg.setColor(200,200,200)
			lg.rectangle('line',x,y,w,h)
			lg.print(m.list[r][c],x+w/10,y+h/10)	
			

			
		end
	end

end
	
	function m.keypressed(m,key)
		local up,down,left,right='up','down','left','right'
		
		local r=m.select[1]
		local c=m.select[2]
		
		if key==up then
			r=math.max(r-1,1)
		elseif key==down then
			r=math.min(r+1,3)
		elseif key==left then
			c=math.max(c-1,1)
		elseif key==right then
			c=math.min(c+1,3)
		end
		
		m.select={r,c}	
	end
end